//
//  TryFLTK.cpp
//  Catchwater
//
//  Created by Ken Brooks on 5/3/17.
//
//

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include "TryWin.h"

int main(int argc, char **argv) {
    Fl_Window *mainwin = new Fl_Window(800,180);
    {
        // Positions of these subwindows are relative to the mainwin's upper/left
        Fl_Window *leftwin = new TryWin(20,20, 200, 140, 1);
        leftwin->align(FL_ALIGN_CENTER);
        leftwin->end();
        
        Fl_Window *midwin = new TryWin(120, 20, 200, 150, 2);
        midwin->align(FL_ALIGN_CENTER);
        midwin->end();
        
        Fl_Window *rightwin = new Fl_Window(410, 20, 200, 140);
        rightwin->align(FL_ALIGN_CENTER);
        rightwin->color(FL_GREEN);
        {
            // Child box coords within subwindow
            Fl_Box *box = new Fl_Box(20,20,80,80,"R Box");
            box->color(0x00dd0000);
            box->box(FL_FLAT_BOX);
        }
        rightwin->end();
    }
    mainwin->end(); 
    mainwin->resizable(mainwin); 
    mainwin->show(argc, argv); 
    return Fl::run(); 
} 
